Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZTechGenerator Class Reference

## Public Member Functions
| __construct (&$contents)
& | generateXML ()
& | generateHTML ( $tmpPage)
& | decodeXML ()
& | decodeCode ( $pageContent, $paragraph)
& | decodeStandards ( $pageContent, $paragraph, $subitem)
| pageCount ()

## Public Attributes
| $Contents
| $PageCount
| $Level

## Private Member Functions
& | generatePage ( $tmpPage)
& | generateUnknowns ( $tmpPage)
& | generateLink ( $tmpPage)
& | generateModule ( $tmpPage)
& | generateImage ( $tmpPage)
| decodePage ( $page)
& | decodeImage ( $pageContent, $paragraph)
& | decodeLink ( $pageContent, $paragraph)
& | decodeModule ( $pageContent, $paragraph)

## Detailed Description

! eZArticle eZTechGenerator generates XML contents for articles.

This class will generate a tech XML article. This class is ment as an example of how to write your own special generator.

TODO

Definition at line 44 of file eztechgenerator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTechGenerator::__construct | ( | & | $contents | ) |

Creates a new eZTechGenerator object.

Definition at line 49 of file eztechgenerator.php.

References $contents.

## Member Function Documentation

## ◆ decodeCode()

& eZTechGenerator::decodeCode | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |

Definition at line 401 of file eztechgenerator.php.

Referenced by decodePage().

## ◆ decodeImage()

& eZTechGenerator::decodeImage | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |
| private

Definition at line 466 of file eztechgenerator.php.

Referenced by decodePage().

## ◆ decodeLink()

& eZTechGenerator::decodeLink | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |
| private

Definition at line 505 of file eztechgenerator.php.

Referenced by decodePage().

## ◆ decodeModule()

& eZTechGenerator::decodeModule | ( |  | $pageContent,
|  |  | $paragraph
| ) |  |
| private

Decodes the module xml and generates user friendly module code.

Definition at line 616 of file eztechgenerator.php.

References $name.

Referenced by decodePage().

## ◆ decodePage()

eZTechGenerator::decodePage | ( |  | $page | ) |
| private

Definition at line 365 of file eztechgenerator.php.

References $page, decodeCode(), decodeImage(), decodeLink(), decodeModule(), and decodeStandards().

Referenced by decodeXML().

## ◆ decodeStandards()

& eZTechGenerator::decodeStandards | ( |  | $pageContent,
|  |  | $paragraph,
|  |  | $subitem
| ) |  |

Definition at line 637 of file eztechgenerator.php.

Referenced by decodePage().

## ◆ decodeXML()

& eZTechGenerator::decodeXML | ( |  | ) |

Decodes the xml chunk and returns the original array to the article.

Definition at line 298 of file eztechgenerator.php.

References $article, $i, $page, decodePage(), and eZXML\domTree().

## ◆ generateHTML()

& eZTechGenerator::generateHTML | ( |  | $tmpPage | ) |

Definition at line 135 of file eztechgenerator.php.

References $i.

Referenced by generatePage().

## ◆ generateImage()

& eZTechGenerator::generateImage | ( |  | $tmpPage | ) |
| private

Definition at line 283 of file eztechgenerator.php.

Referenced by generatePage().

## ◆ generateLink()

& eZTechGenerator::generateLink | ( |  | $tmpPage | ) |
| private

Converts the link tags to valid XML tags.

Definition at line 249 of file eztechgenerator.php.

Referenced by generatePage().

## ◆ generateModule()

& eZTechGenerator::generateModule | ( |  | $tmpPage | ) |
| private

Generates valid module xml tags

Definition at line 271 of file eztechgenerator.php.

Referenced by generatePage().

## ◆ generatePage()

& eZTechGenerator::generatePage | ( |  | $tmpPage | ) |
| private

Definition at line 97 of file eztechgenerator.php.

References generateHTML(), generateImage(), generateLink(), generateModule(), and generateUnknowns().

Referenced by generateXML().

## ◆ generateUnknowns()

& eZTechGenerator::generateUnknowns | ( |  | $tmpPage | ) |
| private

Definition at line 120 of file eztechgenerator.php.

Referenced by generatePage().

## ◆ generateXML()

& eZTechGenerator::generateXML | ( |  | ) |

Generates valid XML data to use for storage.

Definition at line 59 of file eztechgenerator.php.

References $page, and generatePage().

## ◆ pageCount()

eZTechGenerator::pageCount | ( |  | ) |

Returns the number of pages found in the article.

Definition at line 694 of file eztechgenerator.php.

References $PageCount.

## Member Data Documentation

## ◆ $Contents

eZTechGenerator::$Contents

Definition at line 699 of file eztechgenerator.php.

## ◆ $Level

eZTechGenerator::$Level

Definition at line 702 of file eztechgenerator.php.

## ◆ $PageCount

eZTechGenerator::$PageCount

Definition at line 700 of file eztechgenerator.php.

Referenced by pageCount().

The documentation for this class was generated from the following file:

- eztechgenerator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.